/**
 * Create error for expression.
 * @function expressionError
 */

'use strict'

/** @lends expressionError */
function expressionError (expression, exception) {
  let message = [
    'Failed to eval expression:', String(expression),
    '\n' + String(exception)
  ].join(' ')
  return new Error(message)
}

module.exports = expressionError
