/**
 * Evaluator for pudding.
 * @module pudding-evaluator
 * @version 3.0.4
 */

'use strict'

const PuddingEvaluator = require('./pudding_evaluator')

function create(config) {
  return new PuddingEvaluator(config)
}

let lib = create.bind(this)

Object.assign(lib, {
  create,
  PuddingEvaluator
})

module.exports = lib
