/**
 * assert case for expressionError.
 * Runs with mocha.
 */
'use strict'

const assert = require('assert')
const expressionError = require('../lib/errors/expression_error.js')

describe('expression', () => {
  it('Expression error', (done) => {
    let error = expressionError('foo', new Error('baz'))
    assert.ok(error)
    assert.ok(error.message)
    done()
  })
})

/* global describe,it */
